Subject: tidy build failure: invoke error

From: Christopher Howard <[email-masked]>
Date: Fri, 25 Jun 2021 07:00:36 -0800

When I try to build tidy without substitutes, I get error:

build of /gnu/store/zlr12hkdpxa4dwkkcw6v13rn14xmq9jb-tidy-20091223-
checkout.drv failed
View build log at
'/var/log/guix/drvs/zl/r12hkdpxa4dwkkcw6v13rn14xmq9jb-tidy-20091223-
checkout.drv.bz2'.

Here is the log:

guile: warning: failed to install locale
cvs checkout: warning: failed to open /homeless-shelter/.cvspass for
reading: No such file or directory
cvs checkout: Updating tidy
cvs checkout: Updating tidy/CVSROOT
U tidy/CVSROOT/checkoutlist
U tidy/CVSROOT/commitinfo
U tidy/CVSROOT/config
U tidy/CVSROOT/cvswrappers
U tidy/CVSROOT/editinfo
cvs [checkout aborted]: end of file from server (consult above messages
if any)
Backtrace:
           3 (primitive-load "/gnu/store/qyvwvr1dmc6hcv65y269xznby6g?")
In ice-9/eval.scm:
   293:34  2 (_ #<directory (guile-user) 7ffff63b8f00>)
In guix/build/cvs.scm:
     58:2  1 (cvs-fetch ":pserver:[email-masked]?"
?)
In guix/build/utils.scm:
    654:6  0 (invoke _ . _)

guix/build/utils.scm:654:6: In procedure invoke:
ERROR:
  1. &invoke-error:
      program: "/gnu/store/7aqqa3bqixha3yypims7lk4bcyzl01p8-cvs-
1.12.13/bin/cvs"
      arguments: ("-z0" "-d" ":pserver:
[email-masked]:/cvsroot/tidy" "checkout" "-D"
"2009-12-23" "tidy")
      exit-status: 1
      term-signal: #f
      stop-signal: #f

I can run the same fetch command from the command line and I do not
have trouble getting a checkout.

Here is my system information:

christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System ad879bffa3562fdbd12063cfa129fcaa57290eab x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.12.9-gnu 
Uptime: 1 day, 38 mins 
Packages: 107 (guix-system), 101 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 1980MiB / 7957MiB

-- 
Christopher Howard
blog: https://librehacker.com
social: https://gnusocial.club/librehacker